package org.jeecg.api.controller;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.commonConfig.entity.CommonConfig;
import org.jeecg.modules.commonConfig.service.ICommonConfigService;
import org.jeecg.modules.hanHaiMember.service.IHanHaiMemberService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.jeecg.common.api.vo.Result;

import javax.annotation.Resource;
import java.util.List;


@Api(tags="项目通用-显示配置")
@RestController
@RequestMapping("/config_common")
@Slf4j
public class ApiConfigController {

    @Resource
    private ICommonConfigService commonConfigService;

    @ApiOperation(value="获取所有的配置信息", notes="获取所有的配置信息")
    @GetMapping(value = "/getConfig")
    public Result<?> getConfig() {
        List<CommonConfig> list = commonConfigService.list();
        return Result.OK(list);
    }
}
