package org.jeecg.api.service;

import org.jeecg.api.bean.PageBean;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.commonAddress.entity.CommonAddress;
import org.springframework.web.bind.annotation.RequestHeader;

import java.math.BigDecimal;

public interface AppletIndexService {



    //获取首页轮播图
    Result<?> getRiceBanner();

    //获取首页公告列表
    Result<?> getRiceNoticeList();

    //获取首页跳转图标
    Result<?> getRiceIconList();


    //获取会员信息
    Result<?> getVipInfoList();

    //获取首页广告列表
    Result<?> getRiceAdList(PageBean pageBean);


    //获取首页商品详情
    Result<?> getRiceProductDetail(String id);

    //获取首页新闻列表
    Result<?> getRiceNewsList();




    //创建订单
    Result<?> createOrder(String token,String shopId,Integer num,String addressId);


    //再次支付
    Result<?> createOrderTwo(String token,String orderId);


    //商城-立即购买多少商品
    Result<?> createSumOrder(String token,String list,String addressId);

    //商城-加入购物车之后一次下多个订单 - 再次下单
    Result<?> createSumOrderAgain(String token,String orderId);


    //商城-支付回调
    Object payNotify(String requestBody);


    //加入购物车
    Result<?> addCart(String token,String shopId,Integer num);

    //删除购物车信息
    Result<?> deleteCart(String token,String ids);

    //修改购物车信息数量
    Result<?> updateCartNum(String token,String id,Integer num);


    Result<?> getClassShopPageList(PageBean pageBean, String classId);

    //获取优惠券信息列表
    Result<?> getRiceCouponList(String token, PageBean pageBean);


    //获取流水记录带分页
    Result<?> getWaterPageList(String token,PageBean pageBean);

    //获取订单列表带分页
    Result<?> getOrderPageList(String token, PageBean pageBean,Integer state);

    //获取订单详情
    Result<?> getOrderDetail(String token, String id);

    //获取粉丝列表带分页
    Result<?> getFansPageList(String token,PageBean pageBean,String title);

    //获取购物车信息列表带分页
    Result<?> getCartPageList(String token,PageBean pageBean);

    //获取地址列表带分页
    Result<?> getAddressPageList(String token,PageBean pageBean);

    //获取个人邀请码
    Result<?> getInviteCode(String token);

    //获取相关介绍
    Result<?> getInfoIntroduce(String type);

    //查询分类的接口
    Result<?> getCategoryList();

    //增加或者修改地址
    Result<?> addOrUpdateAddress(String token, CommonAddress commonAddress);

    //删除地址
    Result<?> deleteAddress(String token,String id);

    //修改默认地址
    Result<?> updateDefaultAddress(String token,String id);


    //查询个人信息相关
    Result<?> getRiceInfo(String token);


    //充值
    Result<?> recharge(String token, BigDecimal money);

    //提现
    Result<?> withdraw(String token,BigDecimal money,String bankName,String bankNo);


    //确认收货
    Result<?> confirmOrder(String token,String orderId);






}
