package org.jeecg.modules.commonOrder.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.commonOrderSku.entity.CommonOrderSku;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 订单信息表
 * @Author: jeecg-boot
 * @Date:   2024-12-12
 * @Version: V1.0
 */
@Data
@TableName("common_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="common_order对象", description="订单信息表")
public class CommonOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private java.lang.String title;
	/**图片*/
	@Excel(name = "图片", width = 15)
    @ApiModelProperty(value = "图片")
    private java.lang.String image;
	/**支付状态*/
	@Excel(name = "支付状态", width = 15)
    @ApiModelProperty(value = "支付状态")
    private java.lang.Integer state;
	/**价格*/
	@Excel(name = "价格", width = 15)
    @ApiModelProperty(value = "价格")
    private java.math.BigDecimal price;
	/**数量*/
	@Excel(name = "数量", width = 15)
    @ApiModelProperty(value = "数量")
    private java.lang.Integer num;
	/**规格*/
	@Excel(name = "规格", width = 15)
    @ApiModelProperty(value = "规格")
    private java.lang.String sku;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**电话*/
	@Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private java.lang.String phone;
	/**地址*/
	@Excel(name = "地址", width = 15)
    @ApiModelProperty(value = "地址")
    private java.lang.String address;
	/**详细地址*/
	@Excel(name = "详细地址", width = 15)
    @ApiModelProperty(value = "详细地址")
    private java.lang.String addressDetails;
	/**用户*/
	@Excel(name = "用户", width = 15)
    @ApiModelProperty(value = "用户")
    private java.lang.String userId;
	/**地址标识*/
	@Excel(name = "地址标识", width = 15)
    @ApiModelProperty(value = "地址标识")
    private java.lang.String addressId;
	/**商品标识*/
	@Excel(name = "商品标识", width = 15)
    @ApiModelProperty(value = "商品标识")
    private java.lang.String shopId;
	/**支付编号*/
	@Excel(name = "支付编号", width = 15)
    @ApiModelProperty(value = "支付编号")
    private java.lang.String payNo;
	/**商品类型*/
	@Excel(name = "商品类型", width = 15, dicCode = "shop_type")
	@Dict(dicCode = "shop_type")
    @ApiModelProperty(value = "商品类型")
    private java.lang.Integer shopState;
	/**推荐购买会员*/
	@Excel(name = "推荐购买会员", width = 15)
    @ApiModelProperty(value = "推荐购买会员")
    private java.lang.String shareId;
	/**第几次推荐购买*/
	@Excel(name = "第几次推荐购买", width = 15)
    @ApiModelProperty(value = "第几次推荐购买")
    private java.lang.Integer shareNum;
	/**快递公司*/
	@Excel(name = "快递公司", width = 15)
    @ApiModelProperty(value = "快递公司")
    private java.lang.String kuai;
	/**物流订单*/
	@Excel(name = "物流订单", width = 15)
    @ApiModelProperty(value = "物流订单")
    private java.lang.String wuliu;

	@TableField(exist = false)
    private List<CommonOrderSku> commonOrderSkuList;
}
