import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '支付状态',
    align:"center",
    dataIndex: 'state'
   },
   {
    title: '价格',
    align:"center",
    dataIndex: 'price'
   },
   {
    title: '数量',
    align:"center",
    dataIndex: 'num'
   },
   {
    title: '规格',
    align:"center",
    dataIndex: 'sku'
   },
   {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '详细地址',
    align:"center",
    dataIndex: 'addressDetails'
   },
   {
    title: '用户',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '商品标识',
    align:"center",
    dataIndex: 'shopId'
   },
   {
    title: '商品类型',
    align:"center",
    dataIndex: 'shopState_dictText'
   },
   {
    title: '推荐购买会员',
    align:"center",
    dataIndex: 'shareId'
   },
   {
    title: '第几次推荐购买',
    align:"center",
    dataIndex: 'shareNum'
   },
   {
    title: '快递公司',
    align:"center",
    dataIndex: 'kuai'
   },
   {
    title: '物流订单',
    align:"center",
    dataIndex: 'wuliu'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "商品类型",
      field: "shopState",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"shop_type"
      },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '支付状态',
    field: 'state',
    component: 'InputNumber',
  },
  {
    label: '价格',
    field: 'price',
    component: 'InputNumber',
  },
  {
    label: '数量',
    field: 'num',
    component: 'InputNumber',
  },
  {
    label: '规格',
    field: 'sku',
    component: 'Input',
  },
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '详细地址',
    field: 'addressDetails',
    component: 'Input',
  },
  {
    label: '用户',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '商品标识',
    field: 'shopId',
    component: 'Input',
  },
  {
    label: '商品类型',
    field: 'shopState',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"shop_type"
     },
  },
  {
    label: '推荐购买会员',
    field: 'shareId',
    component: 'Input',
  },
  {
    label: '第几次推荐购买',
    field: 'shareNum',
    component: 'InputNumber',
  },
  {
    label: '快递公司',
    field: 'kuai',
    component: 'Input',
  },
  {
    label: '物流订单',
    field: 'wuliu',
    component: 'Input',
  },
];
