package org.jeecg.modules.commonShop.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 单商户商品信息表
 * @Author: jeecg-boot
 * @Date:   2024-12-13
 * @Version: V1.0
 */
@Data
@TableName("common_shop")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="common_shop对象", description="单商户商品信息表")
public class CommonShop implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private java.lang.String title;
	/**主图*/
	@Excel(name = "主图", width = 15)
    @ApiModelProperty(value = "主图")
    private java.lang.String image;
	/**规格*/
	@Excel(name = "规格", width = 15)
    @ApiModelProperty(value = "规格")
    private java.lang.String sku;
	/**类型*/
	@Excel(name = "类型", width = 15, dicCode = "shop_type")
	@Dict(dicCode = "shop_type")
    @ApiModelProperty(value = "类型")
    private java.lang.Integer type;
	/**价格*/
	@Excel(name = "价格", width = 15)
    @ApiModelProperty(value = "价格")
    private java.math.BigDecimal price;
	/**原价*/
	@Excel(name = "原价", width = 15)
    @ApiModelProperty(value = "原价")
    private java.math.BigDecimal oldPrice;
	/**会员价格*/
	@Excel(name = "会员价格", width = 15)
    @ApiModelProperty(value = "会员价格")
    private java.math.BigDecimal vipPrice;
	/**多少盒*/
	@Excel(name = "多少盒", width = 15)
    @ApiModelProperty(value = "多少盒")
    private java.lang.Integer box;
	/**斤*/
	@Excel(name = "斤", width = 15)
    @ApiModelProperty(value = "斤")
    private java.lang.Integer jin;
	/**一盒多少罐*/
	@Excel(name = "一盒多少罐", width = 15)
    @ApiModelProperty(value = "一盒多少罐")
    private java.lang.Integer tank;
	/**限购数量*/
	@Excel(name = "限购数量", width = 15)
    @ApiModelProperty(value = "限购数量")
    private java.lang.Integer num;
	/**标签*/
	@Excel(name = "标签", width = 15)
    @ApiModelProperty(value = "标签")
    private java.lang.String skuIcon;
	/**详情*/
	@Excel(name = "详情", width = 15)
    @ApiModelProperty(value = "详情")
    private java.lang.String details;
	/**分类标识*/
	@Excel(name = "分类标识", width = 15, dictTable = "common_class", dicText = "title", dicCode = "id")
	@Dict(dictTable = "common_class", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "分类标识")
    private java.lang.String classId;
	/**首页显示*/
	@Excel(name = "首页显示", width = 15)
    @ApiModelProperty(value = "首页显示")
    private java.lang.String indexNo;
	/**金卡价*/
	@Excel(name = "金卡价", width = 15)
    @ApiModelProperty(value = "金卡价")
    private java.math.BigDecimal goldPrice;
	/**银卡价*/
	@Excel(name = "银卡价", width = 15)
    @ApiModelProperty(value = "银卡价")
    private java.math.BigDecimal silverPrice;
	/**钻石价*/
	@Excel(name = "钻石价", width = 15)
    @ApiModelProperty(value = "钻石价")
    private java.lang.String diamondPrice;
}
